petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetLabelIdIS

Get the integer ids in a label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetLabelIdIS(DM dm, const char name[], IS *ids)

Not Collective Many br

### Input Parameters

| mesh | - The DM object Many br
| name | - The label name Many br

### Output Parameter

ids -The integer ids, or NULL if the label does not exist Many br

Many br

### Keywords

mesh

### See Also

DMLabelGetValueIS(), DMGetLabelSize()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html